Loading...
Searching...
No Matches
dolfin::DynamicMeshEditor Class Reference

`#include <DynamicMeshEditor.h>`

## Public Member Functions

| DynamicMeshEditor ()
| Constructor.
| ~DynamicMeshEditor ()
| Destructor.
void | open (Mesh &mesh, CellType::Type type, std::size_t tdim, std::size_t gdim, std::size_t num_global_vertices, std::size_t num_global_cells)
| Open mesh of given cell type, topological and geometrical dimension.
void | open (Mesh &mesh, std::string type, std::size_t tdim, std::size_t gdim, std::size_t num_global_vertices, std::size_t num_global_cells)
| Open mesh of given cell type, topological and geometrical dimension.
void | add_vertex (std::size_t v, const Point &p)
| Add vertex v at given point p.
void | add_vertex (std::size_t v, double x)
| Add vertex v at given coordinate x.
void | add_vertex (std::size_t v, double x, double y)
| Add vertex v at given coordinate (x, y).
void | add_vertex (std::size_t v, double x, double y, double z)
| Add vertex v at given coordinate (x, y, z).
void | add_cell (std::size_t c, const std::vector< std::size_t > &v)
| Add cell with given vertices.
void | add_cell (std::size_t c, std::size_t v0, std::size_t v1)
| Add cell (interval) with given vertices.
void | add_cell (std::size_t c, std::size_t v0, std::size_t v1, std::size_t v2)
| Add cell (triangle) with given vertices.
void | add_cell (std::size_t c, std::size_t v0, std::size_t v1, std::size_t v2, std::size_t v3)
| Add cell (tetrahedron) with given vertices.
void | close (bool order=false)
| Close mesh, finish editing, and order entities locally.

## Detailed Description

This class provides an interface for dynamic editing of meshes, that is, when the number of vertices and cells are not known a priori. If the number of vertices and cells are known a priori, it is more efficient to use the default editor MeshEditor.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/DynamicMeshEditor.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/DynamicMeshEditor.cpp